CREATE TABLE Genres (
   id          INT NOT NULL AUTO_INCREMENT,
   Name        VARCHAR(50),
   PRIMARY KEY(id));

CREATE TABLE Artists (
   id          INT NOT NULL AUTO_INCREMENT,
   Name        VARCHAR(30),
   PRIMARY KEY(id));

CREATE TABLE Albums (
   id          INT NOT NULL AUTO_INCREMENT,
   Name        VARCHAR(30),
   PRIMARY KEY(id));

CREATE TABLE Songs (
   id          INT NOT NULL AUTO_INCREMENT,
   Genre       INT NOT NULL DEFAULT '0',
   Artist      INT NOT NULL DEFAULT '0',
   Album       INT NOT NULL DEFAULT '0',
   Year        VARCHAR(4),
   TrackNum    VARCHAR(2),
   FileName    VARCHAR(255),
   FileSize    INT NOT NULL DEFAULT '0',
   Name        VARCHAR(30),
   Comment     VARCHAR(30),
   PRIMARY KEY(id));
